Save This Page
Home » apache-tomcat-6.0.16-src » org.apache » jasper » [javadoc | source]
org.apache.jasper
public class: Constants [javadoc | source]
java.lang.Object
   org.apache.jasper.Constants
Some constants and other global data that are used by the compiler and the runtime.
Field Summary
public static final  String JSP_SERVLET_BASE    The base class of the generated servlets. 
public static final  String SERVICE_METHOD_NAME    _jspService is the name of the method that is called by HttpJspBase.service(). This is where most of the code generated from JSPs go. 
public static final  String SERVLET_CONTENT_TYPE    Default servlet content type. 
public static final  String[] STANDARD_IMPORTS    These classes/packages are automatically imported by the generated code. 
public static final  String SERVLET_CLASSPATH    ServletContext attribute for classpath. This is tomcat specific. Other servlet engines may choose to support this attribute if they want to have this JSP engine running on them. 
public static final  String JSP_FILE    Request attribute for <jsp-file> element of a servlet definition. If present on a request, this overrides the value returned by request.getServletPath() to select the JSP page to be executed. 
public static final  int DEFAULT_BUFFER_SIZE    Default size of the JSP buffer. 
public static final  int DEFAULT_TAG_BUFFER_SIZE    Default size for the tag buffers. 
public static final  int MAX_POOL_SIZE    Default tag handler pool size. 
public static final  String PRECOMPILE    The query parameter that causes the JSP engine to just pregenerated the servlet but not invoke it. 
public static final  String JSP_PACKAGE_NAME    The default package name for compiled jsp pages. 
public static final  String TAG_FILE_PACKAGE_NAME    The default package name for tag handlers generated from tag files 
public static final  String INC_SERVLET_PATH    Servlet context and request attributes that the JSP engine uses. 
public static final  String TMP_DIR     
public static final  String ALT_DD_ATTR     
public static final  String TAGLIB_DTD_PUBLIC_ID_11    Public Id and the Resource path (of the cached copy) of the DTDs for tag library descriptors. 
public static final  String TAGLIB_DTD_RESOURCE_PATH_11     
public static final  String TAGLIB_DTD_PUBLIC_ID_12     
public static final  String TAGLIB_DTD_RESOURCE_PATH_12     
public static final  String WEBAPP_DTD_PUBLIC_ID_22    Public Id and the Resource path (of the cached copy) of the DTDs for web application deployment descriptors 
public static final  String WEBAPP_DTD_RESOURCE_PATH_22     
public static final  String WEBAPP_DTD_PUBLIC_ID_23     
public static final  String WEBAPP_DTD_RESOURCE_PATH_23     
public static final  String[] CACHED_DTD_PUBLIC_IDS    List of the Public IDs that we cache, and their associated location. This is used by an EntityResolver to return the location of the cached copy of a DTD. 
public static final  String[] CACHED_DTD_RESOURCE_PATHS     
public static final  String NS_PLUGIN_URL    Default URLs to download the pluging for Netscape and IE. 
public static final  String IE_PLUGIN_URL     
public static final  String TEMP_VARIABLE_NAME_PREFIX    Prefix to use for generated temporary variable names 
public static final  char ESC    A replacement char for "\$". XXX This is a hack to avoid changing EL interpreter to recognize "\$" 
public static final  String ESCStr     
public static final  boolean IS_SECURITY_ENABLED    Has security been turned on? 
public static final  String SESSION_PARAMETER_NAME    The name of the path parameter used to pass the session identifier back and forth with the client. 
Methods from java.lang.Object:
equals,   getClass,   hashCode,   notify,   notifyAll,   toString,   wait,   wait,   wait